function lensq = edgelengthsq(mesh,ei)
%lensq = edgelengthsq(mesh,ei)    Return the squared length of edge
%    ei of the mesh.
	v = mesh.nodes( mesh.edgeends(ei,2), : ) - ...
            mesh.nodes( mesh.edgeends(ei,1), : );
    lensq = v * v'  % dot(v,v);
end
